package net.knarcraft.minecraftserverlauncher.userinterface;

import java.io.BufferedWriter;
import java.io.File;
import java.io.IOException;
import java.io.OutputStreamWriter;

public class FakeGUI extends MessageHandler implements GUI {

    private final BufferedWriter writer;

    /***
     * Initializes a new fake gui
     */
    public FakeGUI() {
        super(true);
        this.writer = new BufferedWriter(new OutputStreamWriter(System.out));
    }

    @Override
    public void setStatus(String message) {
        try {
            writer.write(message);
            writer.newLine();
            writer.flush();
        } catch (IOException e) {
            System.out.println(message);
        }
    }

    @Override
    public File askForDirectory(String prompt) {
        return null;
    }
}
